$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.73.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.73.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'E25B5A7FD11A4F192CE798B26998B654ACEC8E8916A28BDB14185E5B247CFBD4'
  checksumType = 'sha256'
  checksum64 = 'E25B5A7FD11A4F192CE798B26998B654ACEC8E8916A28BDB14185E5B247CFBD4'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.32.73-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
